Loading...
Searching...
No Matches
lalsd: uses SVD for least squares, step in gelsd
LAPACK » Least squares » Auxiliary routines
Collaboration diagram for lalsd: uses SVD for least squares, step in gelsd:

## Functions

subroutine | clalsd (uplo, smlsiz, n, nrhs, d, e, b, ldb, rcond, rank, work, rwork, iwork, info)
| CLALSD uses the singular value decomposition of A to solve the least squares problem.
subroutine | dlalsd (uplo, smlsiz, n, nrhs, d, e, b, ldb, rcond, rank, work, iwork, info)
| DLALSD uses the singular value decomposition of A to solve the least squares problem.
subroutine | slalsd (uplo, smlsiz, n, nrhs, d, e, b, ldb, rcond, rank, work, iwork, info)
| SLALSD uses the singular value decomposition of A to solve the least squares problem.
subroutine | zlalsd (uplo, smlsiz, n, nrhs, d, e, b, ldb, rcond, rank, work, rwork, iwork, info)
| ZLALSD uses the singular value decomposition of A to solve the least squares problem.

## Detailed Description